#include "rainbow.h"

main()

{
int chrval, row, column, i;
char line[133];

    clear_screen ();
    putline (2, 8, "Rainbow 100 Character Set");
    putline (3, 8, "Rainbow 100 Character Set");
    double_width (2);
    double_width (3);
    double_height_top (2);
    double_height_bottom (3);
    put_line_attr (2, 40, ATTR_BOLD);
    put_line_attr (3, 40, ATTR_BOLD);
    for (i = 0; i < 132; i++) line[i] = ' ';
    for (row = 6; row <= 21; row = row + 2)
	{
	for (column = 1; column <= 32; column++)
	    {
	    chrval = ((row - 6) / 2) * 32 + column;
	    if (chrval == 0xFF) chrval = ' ';
	    line[((column - 1) * 2) + 6] = ' ';
	    line[((column - 1) * 2) + 7] = chrval;
	    };
	line[(column * 2) + 6] = 0;
	putline (row, 1, line);
	};
    rectangle (5, 3, 16, 74, ATTR_NORMAL);
    cursor (22, 1);
}
